<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * AspirEDU Integration
 *
 * @package    local_aspiredu
 * @copyright  2024 AspirEDU
 * @author     AspirEDU
 * @author Andrew Hancox <andrewdchancox@googlemail.com>
 * @author Open Source Learning <enquiries@opensourcelearning.co.uk>
 * @link https://opensourcelearning.co.uk
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['pluginname'] = 'AspirEDU';
$string['coursesettings'] = 'AspirEDU course settings';
$string['coursestartdate'] = 'Course start date';
$string['courseenddate'] = 'Course end date';
$string['courseenddaterror'] = 'The end date must be higher than the start date';
$string['dropoutdetective'] = 'Dropout Detective';
$string['dropoutdetectivelinks'] = 'Dropout Detective links';
$string['dropoutdetectiveurl'] = 'Dropout Detective URL';
$string['instructorinsight'] = 'Instructor Insight';
$string['instructorinsightlinks'] = 'Instructor Insight links';
$string['instructorinsighturl'] = 'Instructor Insight URL';
$string['key'] = 'Key';
$string['secret'] = 'Secret';
$string['disabled'] = 'No links';
$string['adminacccourseinstcourse'] = 'Administrators with account plus course and Instructors with course';
$string['adminacccinstcourse'] = 'Administrators with account and Instructors with course';
$string['admincourseinstcourse'] = 'Administrators with course and instructors with course';
$string['adminacccourse'] = 'Only Administrators with account plus course';
$string['adminacc'] = 'Only Administrators with account';
$string['instcourse'] = 'Only instructors with course';
$string['aspiredu:viewdropoutdetective'] = 'View Dropout Detective';
$string['aspiredu:viewinstructorinsight'] = 'View Instructor Insight';
$string['aspiredu:inaccessmanagement'] = 'Available as admin in Dropout Detective and Instructor Insight';
// Privacy.
$string['privacy:metadata:aspiredu_provider'] = 'The AspirEDU plugin provides user information and context to the AspirEDU servers.';
$string['privacy:metadata:aspiredu_provider:courseid'] = 'The ID of the course the user is enrolled.';
$string['privacy:metadata:aspiredu_provider:discussionid'] = 'The ID of the discussion the user has participated.';
$string['privacy:metadata:aspiredu_provider:edulevel'] = 'The educational level of the user.';
$string['privacy:metadata:aspiredu_provider:email'] = 'The email address of the user.';
$string['privacy:metadata:aspiredu_provider:firstname'] = 'The first name of the user.';
$string['privacy:metadata:aspiredu_provider:forumid'] = 'The ID of the forum the user has participated.';
$string['privacy:metadata:aspiredu_provider:fullname'] = 'The full name of the user.';
$string['privacy:metadata:aspiredu_provider:lastname'] = 'The last name of the user.';
$string['privacy:metadata:aspiredu_provider:userid'] = 'The ID of the user.';
$string['privacy:metadata:aspiredu_provider:username'] = 'The username of the user.';
